## org.apache.xpath.jaxp
Class JAXPVariableStack

    java.lang.Object
      org.apache.xpath.VariableStack
          org.apache.xpath.jaxp.JAXPVariableStack

All Implemented Interfaces:
  java.lang.Cloneable

    public class JAXPVariableStack

extends VariableStack

Overrides `VariableStack` and delegates the call to `XPathVariableResolver`.

Author:
  Ramesh Mandava ( ramesh.mandava@sun.com )

Field Summary

Fields inherited from class org.apache.xpath.VariableStack
`CLEARLIMITATION`

Constructor Summary
`JAXPVariableStack(javax.xml.xpath.XPathVariableResolver resolver)`

Method Summary
`XObject` `getVariableOrParam(XPathContext xctxt, QName qname)` Get a variable based on it's qualified name.

Methods inherited from class org.apache.xpath.VariableStack
`clearLocalSlots, clone, elementAt, getGlobalVariable, getGlobalVariable, getLocalVariable, getLocalVariable, getLocalVariable, getStackFrame, isLocalSet, link, reset, setGlobalVariable, setLocalVariable, setLocalVariable, setStackFrame, size, unlink, unlink`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXPVariableStack

    public JAXPVariableStack(javax.xml.xpath.XPathVariableResolver resolver)

Method Detail

### getVariableOrParam

    public XObject getVariableOrParam(XPathContext xctxt,
                                      QName qname)
                               throws javax.xml.transform.TransformerException,
                                      java.lang.IllegalArgumentException

  Description copied from class: `VariableStack`
  Get a variable based on it's qualified name. This is for external use only.

  Overrides:
    `getVariableOrParam` in class `VariableStack`
  Parameters:
    `xctxt` - The XPath context, which must be passed in order to lazy evaluate variables.
    `qname` - The qualified name of the variable.
  Returns:
    The evaluated value of the variable.
  Throws:
    `javax.xml.transform.TransformerException`
    `java.lang.IllegalArgumentException`

Copyright © 2005 Apache XML Project. All Rights Reserved.